Bug 1114455 - [20181101] kubeadm_base installation failed
[20181101] kubeadm_base installation failed
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kubic
Current
Other Other
: P1 - Urgent : Critical (vote)
: ---
Assigned To: Richard Brown
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-02 10:43 UTC by Dominique Leuenberger
Modified: 2018-11-07 14:07 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2018-11-02 10:43:45 UTC
openQA test user_settings_root is failing with a yast error

https://openqa.opensuse.org/tests/785871#step/user_settings_root/2

10:29 < jreidinger> DimStar: looks like some rpm is missing? 2018-11-02 09:06:53 <3> install(3329) [Interpreter] installation/select_system_role.rb:174 Can't find YCP client component inst_kubic_kubeadm_role: No such file or directory
Comment 1 Richard Brown 2018-11-05 10:09:01 UTC
YaST team, this seems to be related to the changes introduced with https://github.com/yast/skelcd-control-Kubic/commit/a9024d70d776233fa19419d0cc428816e414de24

Were to dependant YaST changes also submitted to Factory at the same time?

Can someone look at this urgently please
Comment 2 Richard Brown 2018-11-05 10:09:23 UTC
assigning to YaST
Comment 3 Richard Brown 2018-11-05 10:21:20 UTC
Clarified by YaST team in IRC, suspicion is yast2-caasp missing from the inst-sys, working on it
Comment 4 Richard Brown 2018-11-07 14:07:11 UTC
Fixed it :)